%global srcname bcrypt

Summary:       Modern password hashing for your software and your servers
Name:          python-%{srcname}
Version:       3.2.1
Release:       1%{?dist}
License:       ASL 2.0 and Public Domain and BSD
URL:           http://pypi.python.org/pypi/%{srcname}
Source0:       %{pypi_source}

BuildRequires: gcc python%{python3_pkgversion}-pytest
BuildRequires: python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-cffi python%{python3_pkgversion}-six

%description
Modern password hashing for your software and your servers.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:            Modern password hashing for your software and your servers
Requires:           python%{python3_pkgversion}-six
Requires:           python%{python3_pkgversion}-cffi
Provides:           python3-py-%{srcname} = 0.4-11

%description -n python%{python3_pkgversion}-%{srcname}
Modern password hashing for your software and your servers.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

find %{buildroot}%{python3_sitearch} -name '*.so' -exec chmod 755 {} ';'

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/%{srcname}-%{version}*

%changelog
* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 3.2.1-1
- update to 3.2.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 21 2022 Shuo Wang <abushwang@tencent.com> - 3.2.0-1
- initial build
